import React__default, { useCallback } from 'react';
import { Button } from '@material-ui/core';
import { copyText } from '../../utils/WindowUtils.esm.js';

const CopyButton = ({
  textToCopy,
  children,
  onSuccess,
  onFail,
  "aria-label": ariaLabel
}) => {
  const onCopyClicked = useCallback(async () => {
    const text = typeof textToCopy === "function" ? textToCopy() : textToCopy;
    return copyText(text, onSuccess, onFail);
  }, [onFail, onSuccess, textToCopy]);
  return /* @__PURE__ */ React__default.createElement(
    Button,
    {
      variant: "contained",
      color: "primary",
      "aria-label": ariaLabel,
      onClick: onCopyClicked
    },
    children
  );
};

export { CopyButton };
//# sourceMappingURL=CopyButton.esm.js.map
