import React__default from 'react';
import { InfoCard } from '@backstage/core-components';
import { makeStyles } from '@material-ui/core';
import classNames from 'classnames';

const useCortexInfoCardStyles = makeStyles((theme) => ({
  root: {
    marginBottom: theme.spacing(1)
  },
  cardRoot: {
    padding: theme.spacing(2)
  },
  cardDense: {
    padding: theme.spacing(0)
  },
  cardHeader: {
    padding: theme.spacing(2)
  },
  cardHeaderTitle: {
    fontWeight: 700,
    margin: 0
  }
}));
const CortexInfoCard = ({
  children,
  title,
  padding = "default",
  className
}) => {
  const classes = useCortexInfoCardStyles();
  return /* @__PURE__ */ React__default.createElement(
    InfoCard,
    {
      title,
      className: classNames(classes.root, className),
      cardClassName: classNames({
        [classes.cardRoot]: padding === "default",
        [classes.cardDense]: padding === "dense"
      }),
      headerProps: {
        className: classes.cardHeader,
        titleTypographyProps: {
          variant: "body1",
          className: classes.cardHeaderTitle
        }
      }
    },
    children
  );
};

export { CortexInfoCard, useCortexInfoCardStyles };
//# sourceMappingURL=CortexInfoCard.esm.js.map
