import { isNil } from 'lodash';
import React__default, { useMemo } from 'react';
import { Tooltip } from '@material-ui/core';

const HoverTimestamp = ({
  children,
  id,
  ts
}) => {
  const local = useMemo(() => ts.local(), [ts]);
  const hoverText = useMemo(
    () => local.format("dddd, MM/DD/YYYY, HH:mm:ss"),
    [local]
  );
  return /* @__PURE__ */ React__default.createElement(Tooltip, { title: hoverText, arrow: true, id }, /* @__PURE__ */ React__default.createElement("span", null, isNil(children) ? local.fromNow() : children));
};

export { HoverTimestamp };
//# sourceMappingURL=HoverTimestamp.esm.js.map
