import React__default, { useMemo } from 'react';
import { LinearProgress, Typography } from '@material-ui/core';
import Box from '@material-ui/core/Box';
import { isNil } from 'lodash';

function colorForNum(value) {
  if (value > 90) {
    return "success";
  } else if (value > 49) {
    return "warning";
  } else {
    return "danger";
  }
}
const LinearProgressWithLabel = ({ value, classes, colorByValue, label }) => {
  const className = useMemo(() => {
    const color = colorByValue ? void 0 : colorForNum(value);
    return isNil(color) ? void 0 : color === "success" ? classes.barColorSuccess : color === "warning" ? classes.barColorWarning : classes.barColorDanger;
  }, [classes, colorByValue, value]);
  return /* @__PURE__ */ React__default.createElement(Box, { display: "flex", alignItems: "center" }, /* @__PURE__ */ React__default.createElement(Box, { width: "100%", mr: 1 }, /* @__PURE__ */ React__default.createElement(
    LinearProgress,
    {
      variant: "determinate",
      value,
      classes: { barColorPrimary: className }
    }
  )), /* @__PURE__ */ React__default.createElement(Box, { minWidth: 45 }, /* @__PURE__ */ React__default.createElement(Typography, { variant: "body1" }, label != null ? label : `${Math.round(value)}%`)));
};

export { LinearProgressWithLabel, colorForNum };
//# sourceMappingURL=LinearProgressWithLabel.esm.js.map
