import { LinearGauge } from '@backstage/core-components';
import React__default, { useState } from 'react';
import { ExponentialBackoff } from '../../utils/MathUtils.esm.js';
import { useInterval } from '../../utils/HookUtils.esm.js';

const PollingLinearGauge = ({
  backoffMultiplier = 1.2,
  done = false,
  initialDelay = 1e3,
  maxDelay = 1e3,
  poll,
  value
}) => {
  const [exponentialBackoff, setExponentialBackoff] = useState(
    () => new ExponentialBackoff({
      initialDelay,
      multiplier: backoffMultiplier,
      maxDelay
    })
  );
  useInterval(
    async () => {
      await poll();
      setExponentialBackoff((backoff) => backoff.advance());
    },
    done ? null : exponentialBackoff.delay()
  );
  return /* @__PURE__ */ React__default.createElement(LinearGauge, { value });
};

export { PollingLinearGauge as default };
//# sourceMappingURL=PollingLinearGauge.esm.js.map
