import { makeStyles, alpha } from '@material-ui/core';
import classNames from 'classnames';
import { identity } from 'lodash';
import React__default from 'react';
import { fallbackPalette } from '../../styles/styles.esm.js';

const useStyles = makeStyles({
  root: {
    display: "flex",
    flexDirection: "column",
    listStyle: "none",
    margin: 0,
    padding: 0,
    "& li": {
      flex: 1,
      maxWidth: 300,
      "&:last-child": {
        borderRight: "none"
      }
    }
  },
  flexRow: {
    flexDirection: "row"
  },
  flex1: {
    flex: 1
  },
  rowItem: {
    borderRight: `1px solid ${alpha(fallbackPalette.common.white, 0.12)}`,
    padding: 20
  },
  columnItem: {
    padding: 20
  }
});
const Stats = ({ children, column = false, stretch }) => {
  const classes = useStyles();
  const childrenToRender = React__default.Children.toArray(children).filter(identity);
  return /* @__PURE__ */ React__default.createElement(
    "ol",
    {
      className: classNames(classes.root, {
        [classes.flex1]: stretch,
        [classes.flexRow]: !column
      })
    },
    React__default.Children.map(childrenToRender, (child, idx) => {
      return /* @__PURE__ */ React__default.createElement(
        "li",
        {
          key: `stats-item-${idx}`,
          className: classNames({
            [classes.rowItem]: !column,
            [classes.columnItem]: column
          })
        },
        child
      );
    })
  );
};

export { Stats as default };
//# sourceMappingURL=Stats.esm.js.map
