import React__default, { useMemo } from 'react';
import { percentify } from '../../utils/NumberUtils.esm.js';
import { ordinal } from '../../utils/strings.esm.js';
import { withStyles, alpha, Typography, Box } from '@material-ui/core';

const CaptionTypography = withStyles((theme) => ({
  root: {
    color: alpha(theme.palette.text.primary, 0.7)
  }
}))(Typography);
const StatsItem = ({
  caption,
  percentage,
  type,
  value
}) => {
  const calculatedValue = useMemo(
    () => percentage ? percentify(value) : value,
    [value, percentage]
  );
  const suffix = useMemo(() => {
    switch (type) {
      case "NTH":
        return ordinal(calculatedValue);
      case "PERCENTAGE":
        return "%";
      case "NONE":
      default:
        return void 0;
    }
  }, [calculatedValue, type]);
  return /* @__PURE__ */ React__default.createElement(Box, null, /* @__PURE__ */ React__default.createElement(CaptionTypography, { variant: "caption" }, caption), /* @__PURE__ */ React__default.createElement(Typography, { "data-testid": caption }, calculatedValue, suffix));
};

export { CaptionTypography, StatsItem as default };
//# sourceMappingURL=StatsItem.esm.js.map
