import React__default, { useState, useMemo } from 'react';
import { makeStyles } from '@material-ui/core';

const useStyles = makeStyles((styles) => ({
  linkButton: {
    backgroundColor: "transparent",
    border: "none",
    color: styles.palette.primary.main,
    cursor: "pointer",
    fontSize: styles.typography.body2.fontSize,
    padding: 0
  }
}));
const Truncated = ({ text = "", truncateToLines, renderText }) => {
  const classes = useStyles();
  const [isExpanded, setIsExpanded] = useState(false);
  const allEndOfLines = useMemo(() => {
    return Array.from(text.matchAll(/\r\n|\r|\n/g)).map((a) => a.index);
  }, [text]);
  const displayedText = useMemo(() => {
    if (isExpanded || allEndOfLines.length < truncateToLines) {
      return text;
    }
    return text.substring(0, allEndOfLines[truncateToLines]) + "...";
  }, [text, truncateToLines, isExpanded, allEndOfLines]);
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, renderText ? renderText(displayedText) : displayedText, allEndOfLines.length > truncateToLines && /* @__PURE__ */ React__default.createElement(
    "button",
    {
      className: classes.linkButton,
      onClick: () => setIsExpanded(!isExpanded)
    },
    isExpanded ? "Less" : "More"
  ));
};

export { Truncated };
//# sourceMappingURL=Truncated.esm.js.map
