import React__default from 'react';
import { DefaultEntityRefLink } from '../DefaultEntityLink/DefaultEntityRefLink.esm.js';
import { MetadataItem } from '../MetadataItem/MetadataItem.esm.js';
import { GroupComponentRuleInitiativesRow } from './GroupComponentRuleInitiativesRow.esm.js';
import { makeStyles } from '@material-ui/core';

const useStyles = makeStyles((_) => ({
  componentLink: {
    marginBottom: "0.35rem"
  }
}));
const GroupComponentActionItemsRow = ({
  componentRef,
  ruleToInitiativeActionItem
}) => {
  const classes = useStyles();
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement("div", { className: classes.componentLink }, /* @__PURE__ */ React__default.createElement(DefaultEntityRefLink, { entityRef: componentRef }, /* @__PURE__ */ React__default.createElement(MetadataItem, { gridSizes: { lg: 12 } }, componentRef.name))), Object.keys(ruleToInitiativeActionItem).map((rule) => /* @__PURE__ */ React__default.createElement(
    GroupComponentRuleInitiativesRow,
    {
      key: `GroupComponentActionItemsRow-${rule}`,
      componentName: componentRef.name,
      ruleExpression: rule,
      initiativeActionItems: ruleToInitiativeActionItem[rule]
    }
  )));
};

export { GroupComponentActionItemsRow };
//# sourceMappingURL=GroupComponentActionItemsRow.esm.js.map
