import { makeStyles, Grid } from '@material-ui/core';
import { useRouteRef } from '@backstage/core-plugin-api';
import { initiativeRouteRef } from '../../routes.esm.js';
import { MetadataItem } from '../MetadataItem/MetadataItem.esm.js';
import { Link } from '@backstage/core-components';
import React__default from 'react';
import { useInitiativesCustomName } from '../../utils/hooks.esm.js';
import { capitalize } from 'lodash';

const useStyles = makeStyles((_) => ({
  initiativeInfo: {
    marginLeft: "2rem",
    marginBottom: "0.25rem"
  }
}));
const GroupComponentRuleInitiativeInfo = ({
  initiativeActionItem
}) => {
  const initiativeRef = useRouteRef(initiativeRouteRef);
  const classes = useStyles();
  const { singular: initiativeNameLabel } = useInitiativesCustomName();
  return /* @__PURE__ */ React__default.createElement(
    Link,
    {
      to: initiativeRef({
        id: `${initiativeActionItem.initiative.initiativeId}`
      })
    },
    /* @__PURE__ */ React__default.createElement(Grid, { container: true, direction: "row", className: classes.initiativeInfo }, /* @__PURE__ */ React__default.createElement(MetadataItem, { gridSizes: { lg: 6 }, label: capitalize(initiativeNameLabel) }, initiativeActionItem.initiative.name), /* @__PURE__ */ React__default.createElement(MetadataItem, { gridSizes: { lg: 6 }, label: "Deadline" }, initiativeActionItem.initiative.targetDate))
  );
};

export { GroupComponentRuleInitiativeInfo };
//# sourceMappingURL=GroupComponentRuleInitiativeInfo.esm.js.map
