import { makeStyles, Grid, IconButton, Collapse } from '@material-ui/core';
import KeyboardArrowDownIcon from '@material-ui/icons/KeyboardArrowDown';
import KeyboardArrowRight from '@material-ui/icons/KeyboardArrowRight';
import React__default, { useState } from 'react';
import { MetadataItem } from '../MetadataItem/MetadataItem.esm.js';
import { GroupComponentRuleInitiativeInfo } from './GroupComponentRuleInitiativeInfo.esm.js';
import { useInitiativesCustomName } from '../../utils/hooks.esm.js';

const useStyles = makeStyles((_) => ({
  ruleRow: {
    marginBottom: "0.25rem"
  }
}));
const GroupComponentRuleInitiativesRow = ({
  componentName,
  ruleExpression,
  initiativeActionItems
}) => {
  const [open, setOpen] = useState(false);
  const classes = useStyles();
  const { plural: initiativesName } = useInitiativesCustomName();
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement(Grid, { container: true, className: classes.ruleRow, direction: "row" }, /* @__PURE__ */ React__default.createElement(Grid, { item: true, lg: 1 }, /* @__PURE__ */ React__default.createElement(
    IconButton,
    {
      "aria-label": `Show ${initiativesName} for ${componentName} with rule ${ruleExpression}`,
      size: "small",
      onClick: () => setOpen(!open)
    },
    open ? /* @__PURE__ */ React__default.createElement(KeyboardArrowDownIcon, null) : /* @__PURE__ */ React__default.createElement(KeyboardArrowRight, null)
  )), /* @__PURE__ */ React__default.createElement(MetadataItem, { gridSizes: { lg: 11 }, label: "Rule" }, ruleExpression)), /* @__PURE__ */ React__default.createElement(Collapse, { in: open, timeout: "auto", unmountOnExit: true }, initiativeActionItems.map((initiativeActionItem) => /* @__PURE__ */ React__default.createElement(
    GroupComponentRuleInitiativeInfo,
    {
      key: `GroupComponentRuleInitiativeInfo-${initiativeActionItem.componentRef}-${initiativeActionItem.rule.expression}-${initiativeActionItem.initiative.initiativeId}`,
      initiativeActionItem
    }
  ))));
};

export { GroupComponentRuleInitiativesRow };
//# sourceMappingURL=GroupComponentRuleInitiativesRow.esm.js.map
