import React__default from 'react';
import { EntityScorecardOverview } from '../EntityScorecardOverview/EntityScorecardOverview.esm.js';
import { EntityScorecardRules } from '../EntityScorecardRules/EntityScorecardRules.esm.js';
import { useCortexApi } from '../../../utils/hooks.esm.js';
import { Progress } from '@backstage/core-components';
import { ScorecardsServiceNextRules } from '../../Scorecards/ScorecardsServicePage/ScorecardsServiceNextRules.esm.js';

const EntityScorecardDetails = ({
  entityRef,
  scorecardId,
  score
}) => {
  const { value: ladders, loading: loadingLadders } = useCortexApi(
    (api) => api.getScorecardLadders(scorecardId),
    [scorecardId]
  );
  const ladder = ladders == null ? void 0 : ladders[0];
  if (loadingLadders) {
    return /* @__PURE__ */ React__default.createElement(Progress, null);
  }
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, ladder === void 0 ? /* @__PURE__ */ React__default.createElement(EntityScorecardOverview, { score }) : /* @__PURE__ */ React__default.createElement(
    ScorecardsServiceNextRules,
    {
      scorecardId,
      entityRef
    }
  ), /* @__PURE__ */ React__default.createElement(EntityScorecardRules, { score }));
};

export { EntityScorecardDetails };
//# sourceMappingURL=EntityScorecardDetails.esm.js.map
