import React__default from 'react';
import { makeStyles, TableRow, TableCell } from '@material-ui/core';
import Box from '@material-ui/core/Box';
import { Gauge } from '../Gauge/Gauge.esm.js';
import { ScorecardLadderLevelBadge } from '../Common/ScorecardLadderLevelBadge.esm.js';

const useStyles = makeStyles((theme) => ({
  tableRow: {
    cursor: "pointer",
    "&:hover": {
      background: `${theme.palette.background.default}!important`
    }
  },
  unselected: {
    background: `${theme.palette.background.paper}!important`
  },
  selected: {
    background: `${theme.palette.background.default}!important`
  }
}));
const EntityScorecardsCardRow = ({
  score,
  selected,
  onSelect
}) => {
  var _a, _b;
  const classes = useStyles();
  const currentLevel = (_b = (_a = score.evaluation.ladderLevels) == null ? void 0 : _a[0]) == null ? void 0 : _b.currentLevel;
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement(
    TableRow,
    {
      className: `${classes.tableRow} ${selected ? classes.selected : classes.unselected}`,
      onClick: onSelect
    },
    /* @__PURE__ */ React__default.createElement(TableCell, null, /* @__PURE__ */ React__default.createElement(
      Box,
      {
        flexDirection: "row",
        display: "flex",
        justifyContent: "flex-start",
        alignItems: "center"
      },
      /* @__PURE__ */ React__default.createElement(Box, { alignSelf: "center" }, /* @__PURE__ */ React__default.createElement(Gauge, { value: score.score.scorePercentage })),
      /* @__PURE__ */ React__default.createElement(Box, { alignSelf: "center", flex: "1" }, /* @__PURE__ */ React__default.createElement("b", null, score.scorecard.name)),
      currentLevel && /* @__PURE__ */ React__default.createElement(Box, { display: "flex", alignItems: "center" }, /* @__PURE__ */ React__default.createElement(
        ScorecardLadderLevelBadge,
        {
          name: currentLevel.name,
          color: currentLevel.color
        }
      ))
    ))
  ));
};

export { EntityScorecardsCardRow };
//# sourceMappingURL=EntityScorecardsCardRow.esm.js.map
