import React__default from 'react';
import { Filters } from './Filters.esm.js';
import { CortexInfoCard } from '../Common/CortexInfoCard.esm.js';
import { makeStyles, Box } from '@material-ui/core';

const useStyles = makeStyles(() => ({
  filterCardRoot: {
    width: 550,
    minWidth: 550
  }
}));
const FilterCard = ({
  filterDefinitions,
  title = "Filter By"
}) => {
  const classes = useStyles();
  return /* @__PURE__ */ React__default.createElement(CortexInfoCard, { title, className: classes.filterCardRoot }, /* @__PURE__ */ React__default.createElement(Box, { display: "flex", gridGap: 16, flexDirection: "column" }, filterDefinitions.map((filterDefinition, idx) => {
    return /* @__PURE__ */ React__default.createElement(
      Filters,
      {
        key: `Filters-${filterDefinition.name}-${idx}`,
        ...filterDefinition
      }
    );
  })));
};

export { FilterCard };
//# sourceMappingURL=FilterCard.esm.js.map
