import React__default, { useState, useContext } from 'react';

const FilterContext = React__default.createContext(
  void 0
);
const FilterProvider = ({
  children,
  initialCheckedFilters = {},
  initialOneOf = {}
}) => {
  const [checkedFilters, setCheckedFilters] = useState(
    initialCheckedFilters
  );
  const [oneOf, setOneOf] = useState(initialOneOf);
  return /* @__PURE__ */ React__default.createElement(
    FilterContext.Provider,
    {
      value: {
        checkedFilters,
        setCheckedFilters,
        oneOf,
        setOneOf
      }
    },
    children
  );
};
const useFilter = () => {
  const context = useContext(FilterContext);
  if (!context) {
    throw new Error("useFilter was used outside of its Provider");
  }
  return context;
};

export { FilterProvider, useFilter };
//# sourceMappingURL=useFilter.esm.js.map
