import { Content, ContentHeader, EmptyState, ItemCardGrid } from '@backstage/core-components';
import React__default from 'react';
import { isEmpty } from 'lodash';
import { ListCard } from '../ListCard/ListCard.esm.js';

const HelpLinksContent = ({ links }) => {
  return /* @__PURE__ */ React__default.createElement(Content, null, /* @__PURE__ */ React__default.createElement(ContentHeader, { title: "Links" }), isEmpty(links) && /* @__PURE__ */ React__default.createElement(EmptyState, { title: "No links found", missing: "data" }), /* @__PURE__ */ React__default.createElement(ItemCardGrid, null, links.map((link, index) => /* @__PURE__ */ React__default.createElement(
    ListCard,
    {
      key: index,
      name: link.name,
      description: link.description,
      url: link.url
    }
  ))));
};

export { HelpLinksContent };
//# sourceMappingURL=HelpLinksContent.esm.js.map
