import moment from 'moment';
import { maybePluralize, joinWithSpecialLastJoin } from '../../utils/strings.esm.js';

const getDisplayTimeUntilNextOncall = (oncallStartDate) => {
  const now = moment.now();
  const hoursUntilOncall = moment(oncallStartDate).diff(now, "hours");
  const daysUntilOncall = moment(oncallStartDate).diff(now, "days");
  return hoursUntilOncall < 18 ? `${hoursUntilOncall} hours` : `${maybePluralize(daysUntilOncall, "day")}`;
};
const getOncallSchedulesDisplayName = (oncalls) => {
  var _a;
  const oncallNames = (_a = oncalls == null ? void 0 : oncalls.map((oncall) => oncall.name)) != null ? _a : [];
  return oncallNames.length === 1 ? oncallNames[0] : joinWithSpecialLastJoin(oncallNames, {
    joiner: ", ",
    lastJoiner: ", and ",
    lastJoinerWhenTwoItems: " and "
  });
};

export { getDisplayTimeUntilNextOncall, getOncallSchedulesDisplayName };
//# sourceMappingURL=HomepageUtils.esm.js.map
