import React__default from 'react';
import { useRouteRef } from '@backstage/core-plugin-api';
import { initiativeRouteRef } from '../../../routes.esm.js';
import { ListCard } from '../../ListCard/ListCard.esm.js';
import moment from 'moment';

const InitiativeCard = ({ initiative }) => {
  const initiativeRef = useRouteRef(initiativeRouteRef);
  return /* @__PURE__ */ React__default.createElement(
    ListCard,
    {
      name: initiative.name,
      description: initiative.description,
      badges: [
        `Due ${moment.utc(initiative.targetDate).format("dddd, MMMM Do YYYY")}`
      ],
      url: initiativeRef({ id: `${initiative.id}` }),
      truncateToLines: 10
    }
  );
};

export { InitiativeCard };
//# sourceMappingURL=InitiativeCard.esm.js.map
