import React__default from 'react';
import { Typography } from '@material-ui/core';
import Box from '@material-ui/core/Box';
import { ScorecardServiceRefLink } from '../../../ScorecardServiceRefLink/ScorecardServiceRefLink.esm.js';
import { ScorecardServiceRuleRow } from '../../../Scorecards/ScorecardsServicePage/ScorecardsServiceRuleRow.esm.js';

const ServiceNameAndRulesColumn = ({
  actionItems,
  componentRef,
  description,
  name,
  scorecardId,
  scorecardServiceRuleRowClasses
}) => {
  return /* @__PURE__ */ React__default.createElement(Box, { display: "flex", flexDirection: "column" }, /* @__PURE__ */ React__default.createElement(
    Box,
    {
      display: "flex",
      flexDirection: "row",
      justifyContent: "space-between",
      sx: { mb: 2 }
    },
    /* @__PURE__ */ React__default.createElement(Box, null, /* @__PURE__ */ React__default.createElement(
      ScorecardServiceRefLink,
      {
        scorecardId,
        componentRef
      },
      name
    ), description && /* @__PURE__ */ React__default.createElement(Typography, { variant: "subtitle2" }, description))
  ), /* @__PURE__ */ React__default.createElement(Box, { display: "flex", flexDirection: "column" }, actionItems.map((actionItem) => {
    return /* @__PURE__ */ React__default.createElement(
      ScorecardServiceRuleRow,
      {
        classes: scorecardServiceRuleRowClasses,
        hideWeight: true,
        key: `${componentRef}-FailingRule-${actionItem.rule.id}`,
        rule: {
          ...actionItem.rule,
          score: 0
        }
      }
    );
  })));
};

export { ServiceNameAndRulesColumn };
//# sourceMappingURL=ServiceNameAndRulesColumn.esm.js.map
