import { Progress } from '@backstage/core-components';
import { makeStyles, DialogContent, DialogActions, Button } from '@material-ui/core';
import React__default from 'react';
import { useFilters, useInitiativesCustomName } from '../../../../utils/hooks.esm.js';
import { FilterCard } from '../../../FilterCard/FilterCard.esm.js';
import { useFilter } from '../../../FilterCard/useFilter.esm.js';
import { groupAndSystemFilters } from '../InitativeFilterDialog/InitiativeFilterDialogUtils.esm.js';

const useStyles = makeStyles(() => ({
  dialogContent: {
    padding: 0
  }
}));
const InitiativeFilterForm = ({
  filtersDefinition: filtersDefinitionProp,
  onSave
}) => {
  const classes = useStyles();
  const { checkedFilters, oneOf } = useFilter();
  const { filterGroups, loading } = useFilters(
    (entityRef) => entityRef,
    {
      baseFilters: groupAndSystemFilters
    }
  );
  const filtersDefinition = [
    ...filtersDefinitionProp,
    ...filterGroups != null ? filterGroups : []
  ];
  const { singular: initiativeName } = useInitiativesCustomName();
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement(DialogContent, { className: classes.dialogContent }, loading ? /* @__PURE__ */ React__default.createElement(Progress, null) : /* @__PURE__ */ React__default.createElement(
    FilterCard,
    {
      filterDefinitions: filtersDefinition,
      title: `Filter ${initiativeName}`
    }
  )), /* @__PURE__ */ React__default.createElement(DialogActions, null, /* @__PURE__ */ React__default.createElement(
    Button,
    {
      onClick: () => onSave({ checkedFilters, oneOf }),
      color: "primary",
      "aria-label": "Apply filters"
    },
    "Apply filters"
  )));
};

export { InitiativeFilterForm };
//# sourceMappingURL=InitiativeFilterForm.esm.js.map
