import React__default from 'react';
import { makeStyles, alpha, Box, Grid } from '@material-ui/core';
import { fallbackPalette } from '../../../../styles/styles.esm.js';
import { CortexInfoCard } from '../../../Common/CortexInfoCard.esm.js';
import { ScorecardLadderLevelBadge } from '../../../Common/ScorecardLadderLevelBadge.esm.js';
import { ScorecardRuleRow } from '../../../Scorecards/ScorecardDetailsPage/ScorecardRulesTab/ScorecardRuleRow.esm.js';

const useInitiativeLevelsTabStyles = makeStyles(() => ({
  levelBlock: {
    padding: 16,
    borderBottom: `1px solid ${alpha(fallbackPalette.common.white, 0.12)}`,
    "&:last-child": {
      borderBottom: "none"
    }
  }
}));
const InitiativeLevelsTab = ({
  levels,
  rules
}) => {
  const classes = useInitiativeLevelsTabStyles();
  const level = levels[0];
  return /* @__PURE__ */ React__default.createElement(CortexInfoCard, { padding: "dense" }, /* @__PURE__ */ React__default.createElement(Box, { className: classes.levelBlock }, /* @__PURE__ */ React__default.createElement(Grid, { container: true, spacing: 0 }, /* @__PURE__ */ React__default.createElement(Grid, { item: true, md: 2, xs: 3 }, /* @__PURE__ */ React__default.createElement(
    ScorecardLadderLevelBadge,
    {
      showName: true,
      name: level.levelName,
      color: level.levelColor
    }
  )), /* @__PURE__ */ React__default.createElement(Grid, { item: true, md: 10, xs: 9 }, /* @__PURE__ */ React__default.createElement(Box, { display: "flex", flexDirection: "column" }, rules.map((rule, idx) => /* @__PURE__ */ React__default.createElement(
    ScorecardRuleRow,
    {
      key: `ScorecardRuleRowNew-${idx}`,
      rule
    }
  )))))));
};

export { InitiativeLevelsTab, useInitiativeLevelsTabStyles };
//# sourceMappingURL=InitiativeLevelsTab.esm.js.map
