import { isNil } from 'lodash';
import { daysUntil } from '../../../../utils/MomentUtils.esm.js';
import moment from 'moment';

const getTargetDateMessage = (initiative) => {
  const remainingDays = daysUntil(initiative.targetDate);
  return !isNil(remainingDays) && remainingDays < 0 ? `Expired ${moment.utc(initiative.targetDate).fromNow()}` : `Due by ${moment.utc(initiative.targetDate).format("MMMM Do, YYYY")}`;
};

export { getTargetDateMessage };
//# sourceMappingURL=InitiativeMetadataCardUtils.esm.js.map
