import React__default, { useMemo } from 'react';
import { Typography } from '@material-ui/core';
import { isEmpty } from 'lodash';
import { getEntityCategoryFromFilter, getEntityGroupsFromFilter } from '../../../Scorecards/ScorecardDetailsPage/ScorecardMetadataCard/ScorecardMetadataUtils.esm.js';
import { joinWithAnds } from '../../../../utils/strings.esm.js';

const InitiativeMetadataFilter = ({
  initiative
}) => {
  const entityCategory = useMemo(
    () => {
      var _a;
      return getEntityCategoryFromFilter((_a = initiative.scorecard) == null ? void 0 : _a.filter);
    },
    [initiative]
  );
  const { entityGroups, excludeEntityGroups } = useMemo(
    () => getEntityGroupsFromFilter(initiative.filter),
    [initiative.filter]
  );
  const hasIncludes = !isEmpty(entityGroups);
  const hasExcludes = !isEmpty(excludeEntityGroups);
  return /* @__PURE__ */ React__default.createElement(Typography, { variant: "body2" }, "Applies to ", !hasIncludes && !hasExcludes ? "all" : "", " ", (entityCategory == null ? void 0 : entityCategory.toLowerCase()) || "entitie", "s", (hasIncludes || hasExcludes) && /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, " ", "in ", !hasIncludes && " all ", " group", !hasIncludes || entityGroups.length > 1 ? "s" : "", hasIncludes && /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, " ", joinWithAnds(entityGroups)), hasExcludes && /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, ", excluding ", joinWithAnds(excludeEntityGroups))));
};

export { InitiativeMetadataFilter as default };
//# sourceMappingURL=InitiativeMetadataFilter.esm.js.map
