import React__default from 'react';
import { makeStyles, alpha, Box } from '@material-ui/core';
import { fallbackPalette } from '../../../../styles/styles.esm.js';
import { CortexInfoCard } from '../../../Common/CortexInfoCard.esm.js';
import { ScorecardRuleRow } from '../../../Scorecards/ScorecardDetailsPage/ScorecardRulesTab/ScorecardRuleRow.esm.js';

makeStyles(() => ({
  levelBlock: {
    padding: 16,
    borderBottom: `1px solid ${alpha(fallbackPalette.common.white, 0.12)}`,
    "&:last-child": {
      borderBottom: "none"
    }
  }
}));
const InitiativeRulesTab = ({
  rules
}) => {
  return /* @__PURE__ */ React__default.createElement(CortexInfoCard, null, /* @__PURE__ */ React__default.createElement(Box, { display: "flex", flexDirection: "column" }, rules.map((rule, idx) => /* @__PURE__ */ React__default.createElement(ScorecardRuleRow, { key: `ScorecardRuleRowNew-${idx}`, rule }))));
};

export { InitiativeRulesTab };
//# sourceMappingURL=InitiativeRulesTab.esm.js.map
