import React__default, { useMemo } from 'react';
import { safeDivide } from '../../../../utils/NumberUtils.esm.js';
import { Paper } from '@material-ui/core';
import Stats from '../../../Common/Stats.esm.js';
import StatsItem from '../../../Common/StatsItem.esm.js';

const InitiativeStatsCard = ({
  scores,
  actionItems,
  filter
}) => {
  const numFailing = useMemo(() => {
    var _a, _b, _c, _d;
    return (_d = (_c = (_b = (_a = scores == null ? void 0 : scores.map((score) => score.entityTag)) == null ? void 0 : _a.filter(filter)) == null ? void 0 : _b.filter(
      (componentRef) => actionItems == null ? void 0 : actionItems.some(
        (actionItem) => actionItem.componentRef === componentRef
      )
    )) == null ? void 0 : _c.length) != null ? _d : 0;
  }, [scores, filter, actionItems]);
  const numPassing = useMemo(() => {
    var _a, _b, _c, _d;
    return (_d = (_c = (_b = (_a = scores == null ? void 0 : scores.map((score) => score.entityTag)) == null ? void 0 : _a.filter(filter)) == null ? void 0 : _b.filter(
      (componentRef) => !(actionItems == null ? void 0 : actionItems.some(
        (actionItem) => actionItem.componentRef === componentRef
      ))
    )) == null ? void 0 : _c.length) != null ? _d : 0;
  }, [scores, filter, actionItems]);
  const complete = useMemo(
    () => safeDivide(numPassing, numPassing + numFailing),
    [numPassing, numFailing]
  );
  return /* @__PURE__ */ React__default.createElement(Paper, { elevation: 0, style: { marginBottom: 8 } }, /* @__PURE__ */ React__default.createElement(Stats, null, /* @__PURE__ */ React__default.createElement(
    StatsItem,
    {
      caption: "Complete",
      percentage: true,
      type: "PERCENTAGE",
      value: complete
    }
  ), /* @__PURE__ */ React__default.createElement(StatsItem, { caption: "Passing", type: "NONE", value: numPassing }), /* @__PURE__ */ React__default.createElement(StatsItem, { caption: "Failing", type: "NONE", value: numFailing })));
};

export { InitiativeStatsCard };
//# sourceMappingURL=InitiativeStatsCard.esm.js.map
