import React__default from 'react';
import { Card, CardMedia, CardContent, Chip, CardActions } from '@material-ui/core';
import { ItemCardHeader, MarkdownContent, Button } from '@backstage/core-components';
import { Truncated } from '../Common/Truncated.esm.js';

const ListCard = ({
  badges,
  description,
  name,
  truncateToLines,
  url
}) => {
  return /* @__PURE__ */ React__default.createElement(Card, null, /* @__PURE__ */ React__default.createElement(CardMedia, null, /* @__PURE__ */ React__default.createElement(ItemCardHeader, { title: name })), /* @__PURE__ */ React__default.createElement(CardContent, null, description && /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, truncateToLines ? /* @__PURE__ */ React__default.createElement(
    Truncated,
    {
      text: description,
      truncateToLines,
      renderText: (text) => /* @__PURE__ */ React__default.createElement(MarkdownContent, { content: text })
    }
  ) : /* @__PURE__ */ React__default.createElement(MarkdownContent, { content: description })), badges == null ? void 0 : badges.map((badge) => /* @__PURE__ */ React__default.createElement(Chip, { key: `${name}-badge-${badge}`, size: "small", label: badge }))), /* @__PURE__ */ React__default.createElement(CardActions, null, /* @__PURE__ */ React__default.createElement(Button, { to: url, color: "primary" }, "Details")));
};

export { ListCard };
//# sourceMappingURL=ListCard.esm.js.map
