import React__default from 'react';
import { makeStyles, Grid, Typography } from '@material-ui/core';
import { fallbackPalette } from '../../styles/styles.esm.js';
import { isUndefined } from 'lodash';

const useStyles = makeStyles((theme) => {
  var _a, _b, _c;
  return {
    label: {
      color: (_c = (_b = (_a = theme.palette) == null ? void 0 : _a.text) == null ? void 0 : _b.secondary) != null ? _c : fallbackPalette.text.secondary,
      textTransform: "uppercase",
      fontSize: "10px",
      fontWeight: "bold",
      letterSpacing: 0.5,
      overflow: "hidden",
      whiteSpace: "nowrap"
    },
    value: {
      overflow: "hidden",
      lineHeight: "24px",
      wordBreak: "break-word"
    }
  };
});
const MetadataItem = ({
  label,
  children,
  gridSizes
}) => {
  const classes = useStyles();
  return /* @__PURE__ */ React__default.createElement(Grid, { item: true, ...gridSizes }, !isUndefined(label) && /* @__PURE__ */ React__default.createElement(Typography, { variant: "subtitle2", className: classes.label }, label), typeof children === "string" ? /* @__PURE__ */ React__default.createElement(Typography, { variant: "body2", className: classes.value }, children) : children);
};

export { MetadataItem };
//# sourceMappingURL=MetadataItem.esm.js.map
