import React__default, { useState, useCallback } from 'react';
import { Content, ContentHeader } from '@backstage/core-components';
import { Grid } from '@material-ui/core';
import { AllScorecardsHeatmap } from './AllScorecardsHeatmap.esm.js';
import { GroupByOption } from '../../../api/types.esm.js';
import { GroupByDropdown } from '../Common/GroupByDropdown.esm.js';
import { CopyButton } from '../../Common/CopyButton.esm.js';
import { useLocation, useNavigate, useSearchParams } from 'react-router-dom';
import { buildUrl } from '../../../utils/URLUtils.esm.js';
import { stringifyUrl } from 'query-string';

const AllScorecardsPage = () => {
  var _a;
  const location = useLocation();
  const navigate = useNavigate();
  const [searchParams] = useSearchParams();
  const [groupBy, setGroupBy] = useState(
    (_a = searchParams.get("groupBy")) != null ? _a : GroupByOption.ENTITY
  );
  const setGroupByAndNavigate = useCallback((groupBy2) => {
    setGroupBy(groupBy2);
    const targetUrl = stringifyUrl({ url: location.pathname, query: {
      groupBy: groupBy2 !== GroupByOption.ENTITY ? groupBy2 : void 0
    } });
    navigate(targetUrl, { replace: true });
  }, [location.pathname, navigate]);
  const getShareableLink = useCallback(
    () => buildUrl({ groupBy }, location.pathname),
    [location, groupBy]
  );
  return /* @__PURE__ */ React__default.createElement(Content, null, /* @__PURE__ */ React__default.createElement(ContentHeader, { title: "All Scorecards" }, /* @__PURE__ */ React__default.createElement(CopyButton, { textToCopy: getShareableLink, "aria-label": "Share link" }, "Share link")), /* @__PURE__ */ React__default.createElement(Grid, { container: true, direction: "column" }, /* @__PURE__ */ React__default.createElement(Grid, { item: true }, /* @__PURE__ */ React__default.createElement(GroupByDropdown, { groupBy, setGroupBy: setGroupByAndNavigate })), /* @__PURE__ */ React__default.createElement(Grid, { item: true, lg: 12 }, /* @__PURE__ */ React__default.createElement(AllScorecardsHeatmap, { groupBy }))));
};

export { AllScorecardsPage };
//# sourceMappingURL=AllScorecardsPage.esm.js.map
