import React__default from 'react';
import { TableCell, Typography } from '@material-ui/core';
import { percentify } from '../../../utils/NumberUtils.esm.js';

function getCellClassname(value) {
  if (value === void 0)
    return void 0;
  if (value > 0.9) {
    return "success1";
  } else if (value > 0.8) {
    return "success2";
  } else if (value > 0.7) {
    return "success3";
  } else if (value > 0.6) {
    return "warning1";
  } else if (value > 0.5) {
    return "warning2";
  } else if (value > 0.4) {
    return "warning3";
  } else if (value > 0.3) {
    return "danger1";
  } else if (value > 0.2) {
    return "danger2";
  }
  return "danger3";
}
const HeatmapCell = ({
  score,
  text,
  colorClasses
}) => {
  const className = getCellClassname(score);
  return /* @__PURE__ */ React__default.createElement(
    TableCell,
    {
      className: `${colorClasses.root} ${className ? colorClasses[className] : ""}`
    },
    /* @__PURE__ */ React__default.createElement(Typography, { variant: "h6", style: { display: "inline-block" } }, text != null ? text : score !== void 0 ? `${percentify(score)}%` : "")
  );
};

export { HeatmapCell };
//# sourceMappingURL=HeatmapCell.esm.js.map
