import React__default from 'react';
import { FormControl, InputLabel, Select, MenuItem } from '@material-ui/core';
import { GroupByOption } from '../../../api/types.esm.js';

const GroupByLabels = {
  [GroupByOption.ENTITY]: "Entity",
  [GroupByOption.TEAM]: GroupByOption.TEAM,
  [GroupByOption.SERVICE_GROUP]: "Group",
  [GroupByOption.LEVEL]: GroupByOption.LEVEL,
  [GroupByOption.DOMAIN]: GroupByOption.DOMAIN
};
const GroupByDropdown = ({
  groupBy,
  setGroupBy,
  excluded = []
}) => {
  const options = Object.values(GroupByOption).filter(
    (option) => !excluded.includes(option)
  );
  const onGroupByChange = (event) => {
    setGroupBy(event.target.value);
  };
  return /* @__PURE__ */ React__default.createElement(FormControl, null, /* @__PURE__ */ React__default.createElement(InputLabel, { style: { minWidth: "100px" } }, "Group By"), /* @__PURE__ */ React__default.createElement(Select, { value: groupBy, onChange: onGroupByChange }, options.map((value) => /* @__PURE__ */ React__default.createElement(MenuItem, { key: `GroupByOption-${value}`, value }, GroupByLabels[value]))));
};

export { GroupByDropdown };
//# sourceMappingURL=GroupByDropdown.esm.js.map
