import React__default from 'react';
import { Routes, Route } from 'react-router-dom';
import { ItemCardGrid, ItemCardHeader, Button } from '@backstage/core-components';
import { Card, CardMedia, CardContent, CardActions } from '@material-ui/core';
import { ProgressPage } from './ProgressPage/ProgressPage.esm.js';
import { AllScorecardsPage } from './AllScorecardsPage/AllScorecardsPage.esm.js';
import { HeatmapPage } from './HeatmapPage/HeatmapPage.esm.js';

const ReportsPageCard = ({
  name,
  description,
  url
}) => {
  return /* @__PURE__ */ React__default.createElement(Card, null, /* @__PURE__ */ React__default.createElement(CardMedia, null, /* @__PURE__ */ React__default.createElement(ItemCardHeader, { title: name })), /* @__PURE__ */ React__default.createElement(CardContent, null, description), /* @__PURE__ */ React__default.createElement(CardActions, null, /* @__PURE__ */ React__default.createElement(Button, { to: `/cortex/reports${url}`, color: "primary" }, "Details")));
};
const ReportsPageBody = () => {
  return /* @__PURE__ */ React__default.createElement(ItemCardGrid, null, /* @__PURE__ */ React__default.createElement(
    ReportsPageCard,
    {
      name: "Bird's Eye",
      description: "Dive into your Scorecards to get insight into performance, broken down by teams, groups, and rules and visualized as a heatmap.",
      url: "/heatmap"
    }
  ), /* @__PURE__ */ React__default.createElement(
    ReportsPageCard,
    {
      name: "All Scorecards",
      description: "See how services, teams, and groups are doing across all of your Scorecards in a single aggregated view.",
      url: "/all-scorecards"
    }
  ), /* @__PURE__ */ React__default.createElement(
    ReportsPageCard,
    {
      name: "Progress",
      description: "Progress report of how Scorecards have changed over time, broken down by teams or groups.",
      url: "/progress"
    }
  ));
};
const ReportsPage = () => {
  return /* @__PURE__ */ React__default.createElement(Routes, null, /* @__PURE__ */ React__default.createElement(Route, { path: "/", element: /* @__PURE__ */ React__default.createElement(ReportsPageBody, null) }), /* @__PURE__ */ React__default.createElement(Route, { path: "/heatmap", element: /* @__PURE__ */ React__default.createElement(HeatmapPage, null) }), /* @__PURE__ */ React__default.createElement(Route, { path: "/all-scorecards", element: /* @__PURE__ */ React__default.createElement(AllScorecardsPage, null) }), /* @__PURE__ */ React__default.createElement(Route, { path: "/progress", element: /* @__PURE__ */ React__default.createElement(ProgressPage, null) }));
};

export { ReportsPage, ReportsPageCard };
//# sourceMappingURL=ReportsPage.esm.js.map
