import React__default from 'react';
import { useRouteRef } from '@backstage/core-plugin-api';
import { scorecardServiceDetailsRouteRef } from '../../routes.esm.js';
import { Link } from '@backstage/core-components';
import { parseEntityRef } from '@backstage/catalog-model';
import { defaultComponentRefContext } from '../../utils/ComponentUtils.esm.js';

const ScorecardServiceRefLink = ({
  componentRef,
  scorecardId,
  children
}) => {
  const scorecardServiceDetailsRef = useRouteRef(
    scorecardServiceDetailsRouteRef
  );
  const entityName = parseEntityRef(componentRef, defaultComponentRefContext);
  return /* @__PURE__ */ React__default.createElement(
    Link,
    {
      to: scorecardServiceDetailsRef({
        scorecardId: `${scorecardId}`,
        ...entityName
      })
    },
    children
  );
};

export { ScorecardServiceRefLink };
//# sourceMappingURL=ScorecardServiceRefLink.esm.js.map
