import React__default from 'react';
import { useRouteRef } from '@backstage/core-plugin-api';
import { scorecardRouteRef } from '../../../routes.esm.js';
import { ListCard } from '../../ListCard/ListCard.esm.js';
import { useUiExtensions } from '../../../utils/hooks.esm.js';

const ScorecardCard = ({ scorecard }) => {
  var _a, _b;
  const scorecardRef = useRouteRef(scorecardRouteRef);
  const { uiExtensions } = useUiExtensions();
  const customCardDisplayOptions = (_a = uiExtensions == null ? void 0 : uiExtensions.scorecards) == null ? void 0 : _a.cardDisplayOptions;
  return /* @__PURE__ */ React__default.createElement(
    ListCard,
    {
      badges: (_b = customCardDisplayOptions == null ? void 0 : customCardDisplayOptions.getBadgesFn) == null ? void 0 : _b.call(customCardDisplayOptions, scorecard),
      description: scorecard.description,
      name: scorecard.name,
      truncateToLines: 10,
      url: scorecardRef({ id: `${scorecard.id}` })
    }
  );
};

export { ScorecardCard };
//# sourceMappingURL=ScorecardCard.esm.js.map
