import { isUndefined, isEmpty } from 'lodash';
import { FilterType, CategoryFilter } from '../../../../api/types.esm.js';

const getEntityGroupsFromFilter = (filter) => {
  var _a, _b, _c, _d;
  if ((filter == null ? void 0 : filter.type) === FilterType.DOMAIN_FILTER || (filter == null ? void 0 : filter.type) === FilterType.SERVICE_FILTER || (filter == null ? void 0 : filter.type) === FilterType.RESOURCE_FILTER || (filter == null ? void 0 : filter.type) === FilterType.TEAM_FILTER || (filter == null ? void 0 : filter.type) === FilterType.COMPOUND_FILTER) {
    const entityGroups = (_b = (_a = filter == null ? void 0 : filter.entityGroupFilter) == null ? void 0 : _a.entityGroups) != null ? _b : [];
    const excludeEntityGroups = (_d = (_c = filter == null ? void 0 : filter.entityGroupFilter) == null ? void 0 : _c.excludedEntityGroups) != null ? _d : [];
    return { entityGroups, excludeEntityGroups };
  }
  return { entityGroups: [], excludeEntityGroups: [] };
};
const getResourceTypesFromFilter = (filter) => {
  var _a, _b, _c;
  if ((filter == null ? void 0 : filter.type) === FilterType.RESOURCE_FILTER || (filter == null ? void 0 : filter.type) === FilterType.COMPOUND_FILTER) {
    const types = (_b = (_a = filter == null ? void 0 : filter.typeFilter) == null ? void 0 : _a.types) != null ? _b : [];
    const include = isUndefined(filter == null ? void 0 : filter.typeFilter) || ((_c = filter == null ? void 0 : filter.typeFilter) == null ? void 0 : _c.include) === true && !isEmpty(types);
    return { include, types };
  }
  return { include: true, types: [] };
};
const getQueryFromFilter = (filter) => {
  var _a;
  if ((filter == null ? void 0 : filter.type) === FilterType.CQL_FILTER) {
    return filter.query;
  }
  if ((filter == null ? void 0 : filter.type) === FilterType.COMPOUND_FILTER) {
    return (_a = filter.cqlFilter) == null ? void 0 : _a.query;
  }
  return void 0;
};
const getEntityCategoryFromFilter = (filter) => {
  if ((filter == null ? void 0 : filter.type) === FilterType.COMPOUND_FILTER) {
    return void 0;
  } else if ((filter == null ? void 0 : filter.type) === FilterType.CQL_FILTER) {
    return filter.category;
  } else if ((filter == null ? void 0 : filter.type) === FilterType.DOMAIN_FILTER) {
    return CategoryFilter.Domain;
  } else if ((filter == null ? void 0 : filter.type) === FilterType.RESOURCE_FILTER) {
    return CategoryFilter.Resource;
  } else if ((filter == null ? void 0 : filter.type) === FilterType.TEAM_FILTER) {
    return CategoryFilter.Team;
  } else {
    return CategoryFilter.Service;
  }
};

export { getEntityCategoryFromFilter, getEntityGroupsFromFilter, getQueryFromFilter, getResourceTypesFromFilter };
//# sourceMappingURL=ScorecardMetadataUtils.esm.js.map
