import { Box } from '@material-ui/core';
import { isEmpty } from 'lodash';
import React__default from 'react';
import { getExemptionApprovedDetailsText, getExemptionRejectedDetailsText, isRejectedStatus, getExemptionRequestedDetailsText } from './ScorecardRuleExemptionsTabUtils.esm.js';
import { CaptionTypography } from '../../../Common/StatsItem.esm.js';

const ScorecardRuleExemptionTooltip = ({ exemption }) => {
  const approvedText = getExemptionApprovedDetailsText(exemption);
  const rejectedText = getExemptionRejectedDetailsText(exemption);
  const { status } = exemption;
  return /* @__PURE__ */ React__default.createElement(Box, { display: "flex", flexDirection: "column" }, !isEmpty(exemption.requestingReason) && /* @__PURE__ */ React__default.createElement(Box, { display: "flex", flexDirection: "row", gridGap: 4 }, /* @__PURE__ */ React__default.createElement(CaptionTypography, { variant: "caption" }, "Exemption Reason"), /* @__PURE__ */ React__default.createElement(CaptionTypography, { variant: "caption" }, exemption.requestingReason)), isRejectedStatus(status) && !isEmpty(status.reason) && /* @__PURE__ */ React__default.createElement(Box, { display: "flex", flexDirection: "row", gridGap: 4 }, /* @__PURE__ */ React__default.createElement(CaptionTypography, { variant: "caption" }, "Rejection Reason"), /* @__PURE__ */ React__default.createElement(CaptionTypography, { variant: "caption" }, status.reason)), /* @__PURE__ */ React__default.createElement(CaptionTypography, { variant: "caption" }, getExemptionRequestedDetailsText(exemption)), approvedText && /* @__PURE__ */ React__default.createElement(CaptionTypography, { variant: "caption" }, approvedText), rejectedText && /* @__PURE__ */ React__default.createElement(CaptionTypography, { variant: "caption" }, rejectedText));
};

export { ScorecardRuleExemptionTooltip as default };
//# sourceMappingURL=ScorecardRuleExemptionTooltip.esm.js.map
