import React__default, { useMemo } from 'react';
import { Box } from '@material-ui/core';
import { sortRules } from '../../../../utils/ScorecardRules.esm.js';
import { CortexInfoCard } from '../../../Common/CortexInfoCard.esm.js';
import { ScorecardRuleRow } from './ScorecardRuleRow.esm.js';

const ScorecardScoresRulesCard = ({
  scorecard
}) => {
  const sortedRules = useMemo(() => sortRules(scorecard.rules), [scorecard]);
  return /* @__PURE__ */ React__default.createElement(CortexInfoCard, null, /* @__PURE__ */ React__default.createElement(Box, { display: "flex", flexDirection: "column" }, sortedRules.map((rule) => /* @__PURE__ */ React__default.createElement(
    ScorecardRuleRow,
    {
      key: `ScorecardRuleRowNew-${rule.id}`,
      rule
    }
  ))));
};

export { ScorecardScoresRulesCard };
//# sourceMappingURL=ScorecardScoresRulesCard.esm.js.map
