import { ScorecardLadderLevelBadge } from '../../../Common/ScorecardLadderLevelBadge.esm.js';
import React__default from 'react';
import { LinearProgressWithLabel } from '../../../Common/LinearProgressWithLabel.esm.js';
import { percentify } from '../../../../utils/NumberUtils.esm.js';

const PAGE_SIZE = 25;
const levelSort = (data1, data2) => {
  var _a, _b, _c, _d;
  const level1 = (_b = (_a = data1 == null ? void 0 : data1.level) == null ? void 0 : _a.rank) != null ? _b : -1;
  const level2 = (_d = (_c = data2 == null ? void 0 : data2.level) == null ? void 0 : _c.rank) != null ? _d : -1;
  return level2 - level1;
};
const scorePercentageSort = (data1, data2) => {
  var _a, _b;
  const score1 = (_a = data1 == null ? void 0 : data1.scorePercentage) != null ? _a : 0;
  const score2 = (_b = data2 == null ? void 0 : data2.scorePercentage) != null ? _b : 0;
  return score2 - score1;
};
const levelColumn = {
  field: "level",
  title: "Level",
  width: "20%",
  customSort: levelSort,
  render: ({ level }) => level ? /* @__PURE__ */ React__default.createElement(
    ScorecardLadderLevelBadge,
    {
      showName: true,
      name: level.name,
      color: level.color
    }
  ) : null
};
const scoreColumn = {
  field: "scorePercentage",
  sorting: true,
  title: "Score",
  width: "10%",
  render: (data) => {
    var _a;
    return /* @__PURE__ */ React__default.createElement(
      LinearProgressWithLabel,
      {
        classes: data == null ? void 0 : data.linearProgressClasses,
        value: percentify((_a = data == null ? void 0 : data.scorePercentage) != null ? _a : 0)
      }
    );
  },
  customSort: scorePercentageSort
};

export { PAGE_SIZE, levelColumn, levelSort, scoreColumn, scorePercentageSort };
//# sourceMappingURL=ScorecardsScoresTableConfig.esm.js.map
