import { FormControl, Select, MenuItem } from '@material-ui/core';
import React__default, { useMemo } from 'react';
import { getRuleTitle } from '../../../utils/ScorecardRules.esm.js';

const allRulesValue = "all-rules";
const ScorecardsServiceRulesFilter = ({ selected, setSelected, rules }) => {
  const rulesMap = useMemo(() => {
    return rules.reduce(
      (acc, curr) => ({
        ...acc,
        [getRuleTitle(curr.rule)]: curr.rule
      }),
      { [allRulesValue]: void 0 }
    );
  }, [rules]);
  return /* @__PURE__ */ React__default.createElement(FormControl, null, /* @__PURE__ */ React__default.createElement(
    Select,
    {
      value: selected ? getRuleTitle(selected) : allRulesValue,
      onChange: (event) => setSelected(rulesMap[event.target.value])
    },
    /* @__PURE__ */ React__default.createElement(MenuItem, { value: allRulesValue }, "All rules"),
    rules.map((rule) => /* @__PURE__ */ React__default.createElement(
      MenuItem,
      {
        key: `rule-${rule.rule.id}`,
        value: getRuleTitle(rule.rule)
      },
      getRuleTitle(rule.rule)
    ))
  ));
};

export { ScorecardsServiceRulesFilter as default };
//# sourceMappingURL=ScorecardsServiceRulesFilter.esm.js.map
