import { Box, Typography } from '@material-ui/core';
import React__default from 'react';
import { isRuleFailing, getRuleTitle } from '../../../utils/ScorecardRules.esm.js';
import CheckCircleIcon from '@material-ui/icons/CheckCircle';
import CancelIcon from '@material-ui/icons/Cancel';
import { useIconsStyles } from '../../../styles/styles.esm.js';
import classNames from 'classnames';
import { isNil } from 'lodash';

const ScorecardsServiceTooltipRuleRow = ({ rule }) => {
  const isFailing = isRuleFailing(rule);
  const iconStyles = useIconsStyles();
  return /* @__PURE__ */ React__default.createElement(Box, { display: "flex", flexDirection: "row", gridGap: 4 }, !isNil(rule.score) && /* @__PURE__ */ React__default.createElement(Box, null, isFailing ? /* @__PURE__ */ React__default.createElement(
    CancelIcon,
    {
      color: "error",
      className: classNames(
        iconStyles.statusIcon,
        iconStyles.failingRule
      )
    }
  ) : /* @__PURE__ */ React__default.createElement(
    CheckCircleIcon,
    {
      className: classNames(
        iconStyles.statusIcon,
        iconStyles.passingRule
      )
    }
  )), /* @__PURE__ */ React__default.createElement(Box, null, /* @__PURE__ */ React__default.createElement(
    Typography,
    {
      variant: "subtitle2",
      className: classNames({
        [iconStyles.failingRule]: isFailing,
        [iconStyles.passingRule]: !isFailing
      })
    },
    getRuleTitle(rule)
  )));
};

export { ScorecardsServiceTooltipRuleRow };
//# sourceMappingURL=ScorecardsServiceTooltipRuleRow.esm.js.map
