import React__default, { useState } from 'react';
import { makeStyles, TableRow, TableCell, IconButton, Box, Collapse } from '@material-ui/core';
import KeyboardArrowDownIcon from '@material-ui/icons/KeyboardArrowDown';
import { Gauge } from '../Gauge/Gauge.esm.js';
import { SystemPageRowDetails } from './SystemPageRowDetails.esm.js';
import { ScorecardRefLink } from '../ScorecardRefLink/ScorecardRefLink.esm.js';
import KeyboardArrowRight from '@material-ui/icons/KeyboardArrowRight';

const useStyles = makeStyles({
  root: {
    "& > *": {
      borderBottom: "unset!important"
    },
    height: "35px"
  },
  openIcon: {
    width: "35px"
  },
  progress: {
    height: "64px",
    marginRight: "16px"
  }
});
const SystemPageRow = ({
  score,
  scoresForScorecard
}) => {
  var _a, _b;
  const [open, setOpen] = useState(false);
  const classes = useStyles();
  const name = (_a = score == null ? void 0 : score.scorecardName) != null ? _a : "";
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement(TableRow, { className: classes.root }, /* @__PURE__ */ React__default.createElement(TableCell, { className: classes.openIcon }, /* @__PURE__ */ React__default.createElement(IconButton, { size: "small", onClick: () => setOpen(!open) }, open ? /* @__PURE__ */ React__default.createElement(KeyboardArrowDownIcon, null) : /* @__PURE__ */ React__default.createElement(KeyboardArrowRight, null))), /* @__PURE__ */ React__default.createElement(TableCell, null, /* @__PURE__ */ React__default.createElement(
    Box,
    {
      flexDirection: "row",
      display: "flex",
      justifyContent: "flex-start",
      alignItems: "center"
    },
    /* @__PURE__ */ React__default.createElement(Box, { alignSelf: "center" }, /* @__PURE__ */ React__default.createElement(
      Gauge,
      {
        value: (_b = score == null ? void 0 : score.scorePercentage) != null ? _b : 0,
        strokeWidth: 10,
        trailWidth: 10
      }
    )),
    /* @__PURE__ */ React__default.createElement(Box, { alignSelf: "center", flex: "1" }, /* @__PURE__ */ React__default.createElement(ScorecardRefLink, { scorecardId: score.scorecardId }, /* @__PURE__ */ React__default.createElement("b", null, name)))
  ))), /* @__PURE__ */ React__default.createElement(TableRow, null, /* @__PURE__ */ React__default.createElement(TableCell, { style: { padding: 0 }, colSpan: 6 }, /* @__PURE__ */ React__default.createElement(Collapse, { in: open, timeout: "auto", unmountOnExit: true }, /* @__PURE__ */ React__default.createElement(SystemPageRowDetails, { scoresForScorecard })))));
};

export { SystemPageRow };
//# sourceMappingURL=SystemPageRow.esm.js.map
