import React__default from 'react';
import { makeStyles, Table, TableRow, TableCell, Box } from '@material-ui/core';
import { Gauge } from '../Gauge/Gauge.esm.js';
import { DefaultEntityRefLink } from '../DefaultEntityLink/DefaultEntityRefLink.esm.js';
import { parseEntityRef } from '@backstage/catalog-model';
import { defaultComponentRefContext } from '../../utils/ComponentUtils.esm.js';
import { ScorecardLadderLevelBadge } from '../Common/ScorecardLadderLevelBadge.esm.js';

const useStyles = makeStyles({
  root: {
    "& > *": {
      borderBottom: "unset!important"
    },
    height: "15px"
  },
  progress: {
    height: "32px",
    marginRight: "16px"
  }
});
const SystemPageRowDetails = ({
  scoresForScorecard
}) => {
  const classes = useStyles();
  return /* @__PURE__ */ React__default.createElement(Table, null, scoresForScorecard.map((score) => {
    var _a, _b;
    const currentLevel = (_b = (_a = score.ladderLevels) == null ? void 0 : _a[0]) == null ? void 0 : _b.currentLevel;
    return /* @__PURE__ */ React__default.createElement(TableRow, { className: classes.root, key: `TableRow${score.serviceId}` }, /* @__PURE__ */ React__default.createElement(TableCell, null, /* @__PURE__ */ React__default.createElement(
      Box,
      {
        flexDirection: "row",
        display: "flex",
        justifyContent: "flex-start",
        alignItems: "center"
      },
      /* @__PURE__ */ React__default.createElement(Box, { alignSelf: "center" }, /* @__PURE__ */ React__default.createElement(
        Gauge,
        {
          value: score.scorePercentage,
          strokeWidth: 10,
          trailWidth: 10
        }
      )),
      /* @__PURE__ */ React__default.createElement(Box, { alignSelf: "center", flex: "1" }, score && /* @__PURE__ */ React__default.createElement(
        DefaultEntityRefLink,
        {
          entityRef: parseEntityRef(
            score.componentRef,
            defaultComponentRefContext
          )
        }
      )),
      currentLevel && /* @__PURE__ */ React__default.createElement(Box, { display: "flex", alignItems: "center" }, /* @__PURE__ */ React__default.createElement(
        ScorecardLadderLevelBadge,
        {
          name: currentLevel.name,
          color: currentLevel.color
        }
      ))
    )));
  }));
};

export { SystemPageRowDetails };
//# sourceMappingURL=SystemPageRowDetails.esm.js.map
