/// <reference types="react" />
import * as _backstage_core_plugin_api from '@backstage/core-plugin-api';
import { BackstagePlugin, TypesToApiRefs, IconComponent } from '@backstage/core-plugin-api';
import * as react from 'react';
import { ExtensionApi } from '@cortexapps/backstage-plugin-extensions';
export { CortexYaml, CustomMapping, ExtensionApi } from '@cortexapps/backstage-plugin-extensions';
import { Entity } from '@backstage/catalog-model';

declare const cortexPlugin: BackstagePlugin<{
    root: _backstage_core_plugin_api.RouteRef<undefined>;
    scorecards: _backstage_core_plugin_api.SubRouteRef<undefined>;
    scorecard: _backstage_core_plugin_api.SubRouteRef<_backstage_core_plugin_api.PathParams<"/scorecards/:id">>;
}, {}, {}>;
declare const extendableCortexPlugin: <Deps extends {
    [x: string]: unknown;
}>(deps: TypesToApiRefs<Deps>, factory?: (deps: Deps) => ExtensionApi) => {
    plugin: BackstagePlugin<{}, {}, {}>;
    CortexPage: () => react.JSX.Element;
    EntityCortexContent: () => react.JSX.Element;
    CortexScorecardWidget: ({ includeFilters, excludeFilters, }: CortexScorecardWidgetProps) => react.JSX.Element;
    CortexGroupActionItemsWidget: () => react.JSX.Element;
    SystemCortexContent: () => react.JSX.Element;
};
declare const CortexPage: () => react.JSX.Element;
declare const CortexScorecardWidget: ({ includeFilters, excludeFilters, }: CortexScorecardWidgetProps) => react.JSX.Element;
declare const CortexGroupActionItemsWidget: () => react.JSX.Element;
declare const EntityCortexContent: () => react.JSX.Element;
declare const SystemCortexContent: () => react.JSX.Element;
declare const CortexHomepage: () => react.JSX.Element;
declare const CortexInsightsCard: () => react.JSX.Element;

declare const extensionApiRef: _backstage_core_plugin_api.ApiRef<ExtensionApi>;

interface ScorecardFilters {
    ids?: number[];
    names?: string[];
    scores?: number[];
}
interface CortexScorecardWidgetProps {
    includeFilters?: ScorecardFilters;
    excludeFilters?: ScorecardFilters;
}

declare type EntityFilterGroup = {
    name: string;
    groupProperty: (entity: Entity) => string[] | undefined;
    formatProperty?: (property: string) => string;
};

declare const CortexIcon: IconComponent;

export { CortexGroupActionItemsWidget, CortexHomepage, CortexIcon, CortexInsightsCard, CortexPage, CortexScorecardWidget, type CortexScorecardWidgetProps, EntityCortexContent, type EntityFilterGroup, SystemCortexContent, cortexPlugin, extendableCortexPlugin, extensionApiRef };
