import { createStyles, makeStyles } from '@material-ui/core';

var Status = /* @__PURE__ */ ((Status2) => {
  Status2[Status2["OKAY"] = 0] = "OKAY";
  Status2[Status2["WARNING"] = 1] = "WARNING";
  Status2[Status2["ERROR"] = 2] = "ERROR";
  return Status2;
})(Status || {});
const percentageToStatus = (percentage) => {
  if (percentage > 0.9) {
    return 0 /* OKAY */;
  } else if (percentage > 0.49) {
    return 1 /* WARNING */;
  }
  return 2 /* ERROR */;
};
const cortexStyles = (theme) => createStyles({
  label: {
    color: theme.palette.text.secondary,
    textTransform: "uppercase",
    fontSize: "10px",
    fontWeight: "bold",
    letterSpacing: 0.5,
    overflow: "hidden",
    whiteSpace: "nowrap"
  },
  scoreGauge: {}
});
const homepageOnCallStyles = createStyles({
  root: {
    backgroundColor: "#e9fdeb",
    color: "black"
  }
});
const homepageInsightsStyles = createStyles({
  root: {
    backgroundColor: "#fff3c8",
    color: "black"
  }
});
const homepageInsightsLinkStyles = createStyles({
  root: {
    color: "#005dca"
  }
});
const detailCardStyles = createStyles({
  root: {
    display: "flex",
    flexDirection: "column",
    marginBottom: "20px"
  },
  rule: {
    marginBottom: "2px"
  },
  level: {
    marginBottom: "2px",
    alignItems: "center"
  }
});
const fallbackPalette = {
  status: {
    ok: "#71CF88",
    warning: "#FFB84D",
    error: "#F84C55",
    running: "#3488E3",
    pending: "#FEF071",
    aborted: "#9E9E9E"
  },
  error: {
    dark: "#F44336"
  },
  background: {
    paper: "#FFFFFF"
  },
  text: {
    secondary: "#6C757D"
  },
  common: {
    white: "#FFFFFF",
    black: "#000000",
    grayDarker: "#494949",
    grayDark: "#7A7A7A",
    gray: "#AEAEAE",
    grayLight: "#D9D9D9",
    grayLighter: "#F5F5F5",
    green: {
      800: "#469E4F"
    },
    red: {
      600: "#F1506D"
    },
    purple: {
      300: "#A099B9",
      400: "#7650E9"
    },
    orange: {
      100: "#FFEFD6"
    }
  }
};
const iconStyles = createStyles({
  statusIcon: {
    width: "1rem",
    marginRight: 4
  },
  passingRule: {
    color: fallbackPalette.common.green[800]
  },
  failingRule: {
    color: fallbackPalette.common.red[600]
  }
});
makeStyles(cortexStyles);
const useDetailCardStyles = makeStyles(detailCardStyles);
const useHomepageOncallStyles = makeStyles(homepageOnCallStyles);
const useHomepageInsightsStyles = makeStyles(homepageInsightsStyles);
const useHomepageInsightsLinkStyles = makeStyles(
  homepageInsightsLinkStyles
);
const useIconsStyles = makeStyles(iconStyles);

export { Status, fallbackPalette, percentageToStatus, useDetailCardStyles, useHomepageInsightsLinkStyles, useHomepageInsightsStyles, useHomepageOncallStyles, useIconsStyles };
//# sourceMappingURL=styles.esm.js.map
