var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
class ExponentialBackoff {
  constructor(opts) {
    __publicField(this, "currentDelay");
    __publicField(this, "maxDelay");
    __publicField(this, "maxTries");
    __publicField(this, "multiplier");
    __publicField(this, "numTries");
    const { initialDelay, multiplier, maxDelay, maxTries, numTries } = opts;
    this.currentDelay = initialDelay;
    this.maxDelay = maxDelay != null ? maxDelay : Number.MAX_SAFE_INTEGER;
    this.maxTries = maxTries;
    this.multiplier = multiplier;
    this.numTries = numTries != null ? numTries : 0;
  }
  delay() {
    if (this.numTries === this.maxTries) {
      return null;
    }
    return Math.min(this.currentDelay, this.maxDelay);
  }
  advance() {
    var _a;
    let nextDelay = Math.min(
      this.currentDelay * this.multiplier,
      (_a = this.maxDelay) != null ? _a : Number.MAX_SAFE_INTEGER
    );
    return new ExponentialBackoff({
      initialDelay: nextDelay,
      multiplier: this.multiplier,
      maxDelay: this.maxDelay,
      maxTries: this.maxTries,
      numTries: this.numTries + 1
    });
  }
}

export { ExponentialBackoff };
//# sourceMappingURL=MathUtils.esm.js.map
