import { isNil } from 'lodash';
import moment from 'moment';

const daysUntil = (endDate) => {
  if (isNil(endDate)) {
    return void 0;
  }
  const currDate = moment();
  const expirationDate = moment(endDate);
  return expirationDate.diff(currDate, "days");
};
const getFormattedDate = (dateStr, format = "MM/DD/YYYY") => {
  const date = moment(dateStr);
  return date.format(format);
};

export { daysUntil, getFormattedDate };
//# sourceMappingURL=MomentUtils.esm.js.map
