import { stringifyUrl } from 'query-string';

const buildUrl = (queryParamsObj, pathname) => `${window.location.origin}${stringifyUrl({
  url: pathname,
  query: queryParamsObj
})}`;
const cortexScorecardPageUrl = ({
  scorecardId,
  cortexUrl
}) => {
  return `${cortexUrl}/admin/scorecards/${scorecardId}`;
};
const cortexScorecardServicePageUrl = ({
  scorecardId,
  serviceId,
  cortexUrl
}) => `${cortexScorecardPageUrl({
  scorecardId,
  cortexUrl
})}?service=${serviceId}`;
const cortexInitiativePageUrl = ({
  initiativeId,
  cortexUrl
}) => `${cortexUrl}/admin/initiatives/${initiativeId}`;

export { buildUrl, cortexInitiativePageUrl, cortexScorecardPageUrl, cortexScorecardServicePageUrl };
//# sourceMappingURL=URLUtils.esm.js.map
