import { isNil } from 'lodash';

const copyFallback = (text) => {
  const textArea = document.createElement("textarea");
  textArea.value = text;
  textArea.style.top = "0";
  textArea.style.left = "0";
  textArea.style.position = "fixed";
  document.body.appendChild(textArea);
  textArea.focus();
  textArea.select();
  try {
    document.execCommand("copy");
  } finally {
    document.body.removeChild(textArea);
  }
};
const copyText = async (text, onSuccess, onFail) => {
  if (isNil(text)) {
    return;
  }
  try {
    navigator.clipboard ? await navigator.clipboard.writeText(text) : copyFallback(text);
    onSuccess == null ? void 0 : onSuccess();
  } catch (err) {
    onFail == null ? void 0 : onFail();
    console.error(text);
  }
};

export { copyText };
//# sourceMappingURL=WindowUtils.esm.js.map
