function groupByString(items, property) {
  return items.reduce((obj, item) => {
    const mappingKey = property(item);
    if (mappingKey !== void 0) {
      let keys;
      if (typeof mappingKey === "string") {
        keys = [mappingKey];
      } else {
        keys = mappingKey;
      }
      keys.forEach((key) => {
        var _a;
        const arr = (_a = obj[key]) != null ? _a : [];
        arr.push(item);
        obj[key] = arr;
      });
    }
    return obj;
  }, {});
}
function mapByString(items, property) {
  return items.reduce((obj, item) => {
    const key = property(item);
    if (key !== void 0) {
      obj[key] = item;
    }
    return obj;
  }, {});
}
function mapValues(obj, f) {
  const out = {};
  Object.keys(obj).forEach((key) => {
    out[key] = f(obj[key]);
  });
  return out;
}
function filterNotUndefined(items) {
  const arr = [];
  for (const item of items) {
    if (item !== void 0) {
      arr.push(item);
    }
  }
  return arr;
}
function toCsv(rows) {
  return rows.map(
    (row) => row.map((item) => {
      if (item.indexOf && (item.indexOf(",") !== -1 || item.indexOf('"') !== -1)) {
        return '"' + item.replace(/"/g, '""') + '"';
      } else {
        return item;
      }
    }).join(",")
  ).join("\n");
}

export { filterNotUndefined, groupByString, mapByString, mapValues, toCsv };
//# sourceMappingURL=collections.esm.js.map
