import { assertUnreachable } from './types.esm.js';
import moment from 'moment';

var Lookback = /* @__PURE__ */ ((Lookback2) => {
  Lookback2[Lookback2["DAYS_7"] = 0] = "DAYS_7";
  Lookback2[Lookback2["WEEKS_2"] = 1] = "WEEKS_2";
  Lookback2[Lookback2["MONTHS_1"] = 2] = "MONTHS_1";
  Lookback2[Lookback2["MONTHS_2"] = 3] = "MONTHS_2";
  Lookback2[Lookback2["MONTHS_3"] = 4] = "MONTHS_3";
  return Lookback2;
})(Lookback || {});
const lookbackLabels = (lookback) => {
  switch (lookback) {
    case 0 /* DAYS_7 */:
      return "Last 7 days";
    case 1 /* WEEKS_2 */:
      return "Last 2 weeks";
    case 2 /* MONTHS_1 */:
      return "Last 1 month";
    case 3 /* MONTHS_2 */:
      return "Last 2 months";
    case 4 /* MONTHS_3 */:
      return "Last 3 months";
  }
  return assertUnreachable();
};
const getLookbackRange = (timeRange) => {
  switch (timeRange) {
    case 0 /* DAYS_7 */:
      return [moment().subtract("1", "week"), moment()];
    case 1 /* WEEKS_2 */:
      return [moment().subtract("2", "week"), moment()];
    case 2 /* MONTHS_1 */:
      return [moment().subtract("1", "month"), moment()];
    case 3 /* MONTHS_2 */:
      return [moment().subtract("2", "months"), moment()];
    case 4 /* MONTHS_3 */:
      return [moment().subtract("3", "months"), moment()];
  }
  return assertUnreachable();
};

export { Lookback, getLookbackRange, lookbackLabels };
//# sourceMappingURL=lookback.esm.js.map
