const suffixes = {
  one: "st",
  two: "nd",
  few: "rd",
  other: "th"
};
const english_ordinal_rules = new Intl.PluralRules("en", { type: "ordinal" });
function ordinal(value) {
  return suffixes[english_ordinal_rules.select(value)];
}
const maybePluralizeOnlyNoun = (count = 0, singularNoun = "", suffix = "s") => `${singularNoun}${count !== 1 ? suffix : ""}`;
function maybePluralize(count = 0, singularNoun = "", suffix = "s") {
  return `${count} ${maybePluralizeOnlyNoun(count, singularNoun, suffix)}`;
}
const joinWithSpecialLastJoin = (strings, {
  joiner = ", ",
  lastJoiner,
  lastJoinerWhenTwoItems = lastJoiner
}) => {
  if (strings.length === 1) {
    return strings[0];
  } else if (strings.length === 2) {
    return strings.join(lastJoinerWhenTwoItems);
  }
  return strings.slice(0, -1).join(joiner) + lastJoiner + strings.slice(-1);
};
const joinWithAnds = (strings) => {
  return joinWithSpecialLastJoin(strings, {
    lastJoiner: ", and ",
    lastJoinerWhenTwoItems: " and "
  });
};
function isNotNullOrEmpty(value) {
  var _a, _b;
  return ((_b = (_a = value == null ? void 0 : value.trim()) == null ? void 0 : _a.length) != null ? _b : 0) > 0;
}

export { isNotNullOrEmpty, joinWithAnds, joinWithSpecialLastJoin, maybePluralize, maybePluralizeOnlyNoun, ordinal };
//# sourceMappingURL=strings.esm.js.map
